Eligibility
Real Time Eligibility Check with STC/Procedure Code
Provides real-time access to patient eligibility benefits information, including procedure-specific benefits and optional coordination of benefits (COB) check.
POST
cURL
Mock Requests
To send a mock request without incurring charges, set themockRequest parameter in the body to true. There are 4 scenarios you may test with. Refer to
Mock Eligibility for the scenarios.
Data Richness
The response you receive will vary by payer. We parse the EDI response to the best of our ability, and the presence of anN/A in any field
does not necessarily mean that the benefit is not present in the subscriber’s insurance plan.
Service Benefits & Accumulators
In addition to the per-service-type benefit table underresponse, v3 returns a dynamic serviceBenefits map containing copay and coinsurance for any clinical service category reported by the payer. Each entry appears only when the payer reports a value for that service, and includes top-level summary fields as well as inNetwork and outNetwork (individual / family) breakdowns:
officeVisit.copay— e.g."$15.00"officeVisit.coinsurance— e.g."20%"officeVisit.inNetwork.individual—{ "copay": "$15.00", "coinsurance": "20%" }officeVisit.outNetwork.individual—{ "coinsurance": "50%" }
response also includes:
stopLoss: Total out-of-pocket maximumstopLossRemaining: Remaining out-of-pocket maximum (comparable todeductible.remaining)stopLossYearToDate&deductible.yearToDate: Year-to-date spent amounts (included when reported by the payer)
effectiveDateRange ({ "start": "YYYY-MM-DD", "end": "YYYY-MM-DD" }) is automatically resolved from plan, benefit, or service-level date segments when present. Non-2xx error responses return { "error": "..." }.
Library of Possible serviceBenefits Keys
Common X12 Service Type Codes are grouped into canonical serviceBenefits keys below. Any additional X12 Service Type Code returned by a payer (across all 191 X12 service type codes) is dynamically converted from its X12 display name into camelCase (e.g. 71 “Audiology Exam” -> audiologyExam, 75 “Prosthetic Device” -> prostheticDevice).
Coordination of Benefits
This route allows an optionalrunCobCheck flag to automatically call the Coordination of Benefits using the information
in the eligibility check request. Using this flag may incur additional costs. Reach out to Cair for pricing.Authorizations
Body
application/json
Patient and coverage information
Payer ID. Accepts either the Stedi Payer ID (e.g. 'KMQTZ', 'HGJLR') or the Primary Payer ID (e.g. '87726') from the platform or the Fetch Enrollments API
Billing Provider ID. Accepts either the CAIR logical provider ID (from /admin/provider/) or the clearinghouse provider ID from the Fetch Enrollments API
Response
Eligibility check successful

